module QueryModelPatch
  def self.included(base)
    # Injects the method from this patch into the base class
    base.send(:include, InstanceMethods)
    
    # Intercepts any call to the original method with the patched method
    base.alias_method_chain :available_columns, :patch
    
    # Makes sure the base class will not be unloaded in development
    base.class_eval do
      unloadable
    end
  end
  
  module InstanceMethods
    # Updates the list of available columns to specify ascending as order for versions
    def available_columns_with_patch
      columns = available_columns_without_patch
      
      columns[10].default_order = 'asc'
      
      return columns
    end
  end
end